Main Page | Modules | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | Related Pages

# SoVRMLTextureCoordinate Class Reference
[VRML97 classes]

`#include <Inventor/VRMLnodes/SoVRMLTextureCoordinate.h>`

Inheritance diagram for SoVRMLTextureCoordinate:

List of all members.

## Detailed Description

The SoVRMLTextureCoordinate class binds texture coordinates to vertex-based geometry.

The detailed class documentation is taken verbatim from the VRML97 standard (ISO/IEC 14772-1:1997). It is copyright The Web3D Consortium, and is used by permission of the Consortium:

      TextureCoordinate {
        exposedField MFVec2f point  []      # (-inf, inf)
      }

The TextureCoordinate node specifies a set of 2D texture coordinates used by vertex-based geometry nodes (e.g., SoVRMLIndexedFaceSet and SoVRMLElevationGrid) to map textures to vertices. Textures are two dimensional colour functions that, given an (s, t) coordinate, return a colour value colour(s, t). Texture map values (SoVRMLImageTexture, SoVRMLMovieTexture, and SoVRMLPixelTexture) range from [0.0, 1.0] along the S-axis and T-axis. However, TextureCoordinate values, specified by the point field, may be in the range (-inf,inf). Texture coordinates identify a location (and thus a colour value) in the texture map. The horizontal coordinate s is specified first, followed by the vertical coordinate t.

If the texture map is repeated in a given direction (S-axis or T-axis), a texture coordinate C (s or t) is mapped into a texture map that has N pixels in the given direction as follows:

      Texture map location = (C - floor(C)) × N

If the texture map is not repeated, the texture coordinates are clamped to the 0.0 to 1.0 range as follows:

      Texture map location = N, if C > 1.0,
                           = 0.0, if C < 0.0,
                           = C × N, if 0.0 <= C <= 1.0.

Details on repeating textures are specific to texture map node types described in SoVRMLImageTexture, SoVRMLMovieTexture, and SoVRMLPixelTexture.

## Public Member Functions
| SoVRMLTextureCoordinate (void)
virtual void | doAction (SoAction *action)
virtual void | callback (SoCallbackAction *action)
virtual void | GLRender (SoGLRenderAction *action)
virtual void | pick (SoPickAction *action)
virtual void | getPrimitiveCount (SoGetPrimitiveCountAction *action)
## Static Public Member Functions
void | initClass (void)
## Public Attributes
SoMFVec2f | point
## Protected Member Functions
virtual | ~SoVRMLTextureCoordinate ()

## Constructor & Destructor Documentation

SoVRMLTextureCoordinate::SoVRMLTextureCoordinate | ( | void |  | ) |

| Constructor.

SoVRMLTextureCoordinate::~SoVRMLTextureCoordinate | ( |  | ) | `[protected, virtual]`

| Destructor.

## Member Function Documentation

void SoVRMLTextureCoordinate::initClass | ( | void |  | ) | `[static]`

| Sets up initialization for data common to all instances of this class, like submitting necessary information to the Coin type system. Reimplemented from SoNode.

void SoVRMLTextureCoordinate::doAction | ( | SoAction * | action | ) | `[virtual]`

| This function performs the typical operation of a node for any action. Reimplemented from SoNode.

void SoVRMLTextureCoordinate::callback | ( | SoCallbackAction * | action | ) | `[virtual]`

| Action method for SoCallbackAction. Simply updates the state according to how the node behaves for the render action, so the application programmer can use the SoCallbackAction for extracting information about the scene graph. Reimplemented from SoNode.

void SoVRMLTextureCoordinate::GLRender | ( | SoGLRenderAction * | action | ) | `[virtual]`

| Action method for the SoGLRenderAction. This is called during rendering traversals. Nodes influencing the rendering state in any way or who wants to throw geometry primitives at OpenGL overrides this method. Reimplemented from SoNode.

void SoVRMLTextureCoordinate::pick | ( | SoPickAction * | action | ) | `[virtual]`

| Action method for SoPickAction. Does common processing for SoPickAction action instances. Reimplemented from SoNode.

void SoVRMLTextureCoordinate::getPrimitiveCount | ( | SoGetPrimitiveCountAction * | action | ) | `[virtual]`

| Action method for the SoGetPrimitiveCountAction. Calculates the number of triangle, line segment and point primitives for the node and adds these to the counters of the action. Nodes influencing how geometry nodes calculates their primitive count also overrides this method to change the relevant state variables. Reimplemented from SoNode.

## Member Data Documentation

SoMFVec2f SoVRMLTextureCoordinate::point

| The texture coordinates. Empty by default.

The documentation for this class was generated from the following files:

- SoVRMLTextureCoordinate.h
- TextureCoordinate.cpp